package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ReplacementInstrument;
import com.ym.mec.biz.dal.entity.ReplacementInstrumentActivity;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2021/4/18 0018
 */
public class ReplacementInstrumentActivityStatDto extends ReplacementInstrumentActivity {

    private String organName;

    private String subjectName;

    /** 品牌 */
    private String brand;

    /** 型号 */
    private String specification;

    /** 配置 */
    private String param;

    private BigDecimal marketPrice;

    private BigDecimal discountPrice;

    private BigDecimal depreciationPrice;

    private BigDecimal salePrice;

    private String title;

    @ApiModelProperty(value = "是否参与校赛")
    private String hasYesFirstAnswer;

    @ApiModelProperty(value="是否有置换乐器")
    private String hasInstrumentsId;

    @ApiModelProperty(value="现金支付金额")
    private BigDecimal actualAmount = BigDecimal.ZERO;

    @ApiModelProperty(value="余额支付")
    private BigDecimal balance = BigDecimal.ZERO;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public BigDecimal getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(BigDecimal marketPrice) {
        this.marketPrice = marketPrice;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public BigDecimal getDepreciationPrice() {
        return depreciationPrice;
    }

    public void setDepreciationPrice(BigDecimal depreciationPrice) {
        this.depreciationPrice = depreciationPrice;
    }

    public BigDecimal getSalePrice() {
        return salePrice;
    }

    public void setSalePrice(BigDecimal salePrice) {
        this.salePrice = salePrice;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getHasInstrumentsId() {
        return hasInstrumentsId;
    }

    public void setHasInstrumentsId(String hasInstrumentsId) {
        this.hasInstrumentsId = hasInstrumentsId;
    }

    public String getHasYesFirstAnswer() {
        return hasYesFirstAnswer;
    }

    public void setHasYesFirstAnswer(String hasYesFirstAnswer) {
        this.hasYesFirstAnswer = hasYesFirstAnswer;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }
}
